using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Zonas
{
    public class CreateZonaDto
    {
        [Required(ErrorMessage = "El nombre de la zona es obligatorio.")]
        [StringLength(50, ErrorMessage = "El nombre no puede exceder los 50 caracteres.")]
        public string Nombre { get; set; } = string.Empty;

        [StringLength(150, ErrorMessage = "La descripción no puede exceder los 150 caracteres.")]
        public string? Descripcion { get; set; }
    }
}